package md

type IndexAppListReq struct {
	StartDate string `json:"start_date" example:"2024-08-30"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Sort      string `json:"sort" example:"排序"`
}
type IndexAppListRes struct {
	List []IndexAppListData `json:"list"  `
	Sort []SelectData       `json:"sort"`
}

type IndexAppListData struct {
	Name      string                 `json:"name"`
	Logo      string                 `json:"logo"`
	List      []IndexAppListDataList `json:"list"`
	TableList []string               `json:"table_list"`
}
type IndexAppListDataList struct {
	Name  string `json:"name"`
	Value string `json:"value"`
	Type  string `json:"type"`
	Bili  string `json:"bili"`
}
